com.fasterxml.jackson.databind.ser.std

## Class NonTypedScalarSerializerBase<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
    - - com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<T>
      - - com.fasterxml.jackson.databind.ser.std.NonTypedScalarSerializerBase<T>

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware, Serializable

Deprecated.

    @Deprecated
    public abstract class NonTypedScalarSerializerBase<T>
    extends StdScalarSerializer<T>

Intermediate base class for limited number of scalar types that should never include type information. These are "native" types that are default mappings for corresponding JSON scalar types: `String`, `Integer`, `Double` and `Boolean`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

`JsonSerializer.None`

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_handledType`

### Constructor Summary

Constructors
`protected` `NonTypedScalarSerializerBase(Class<?> t, boolean bogus)` Deprecated.
`protected` `NonTypedScalarSerializerBase(Class<T> t)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `serializeWithType(T value, JsonGenerator gen, SerializerProvider provider, TypeSerializer typeSer)` Deprecated. Default implementation will write type prefix, call regular serialization method (since assumption is that value itself does not need JSON Array or Object start/end markers), and then write type suffix.

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdScalarSerializer

`acceptJsonFormatVisitor, getSchema`

### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

`_neitherNull, _nonEmpty, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, handledType, isDefaultSerializer, serialize, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

`getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId, withIgnoredProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NonTypedScalarSerializerBase

    protected NonTypedScalarSerializerBase(Class<T> t)

Deprecated.

#### NonTypedScalarSerializerBase

    protected NonTypedScalarSerializerBase(Class<?> t,
                                           boolean bogus)

Deprecated.

### Method Detail

#### serializeWithType

    public final void serializeWithType(T value,
                                        JsonGenerator gen,
                                        SerializerProvider provider,
                                        TypeSerializer typeSer)
                                 throws IOException

Deprecated.
Description copied from class: `StdScalarSerializer`
Default implementation will write type prefix, call regular serialization method (since assumption is that value itself does not need JSON Array or Object start/end markers), and then write type suffix. This should work for most cases; some sub-classes may want to change this behavior.

Overrides:
  `serializeWithType` in class `StdScalarSerializer<T>`
Parameters:
  `value` - Value to serialize; can not be null.
  `gen` - Generator used to output resulting Json content
  `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
  `typeSer` - Type serializer to use for including type information
Throws:
  `IOException`